Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex BareMetal
    • All guides
    • Overview
    • Integrations with other Yandex Cloud services
      • Overview
      • Stock server configurations
      • Custom server configuration
      • On-request server configuration
      • Overview
      • Public network
      • Private network
      • DHCP
      • MC-LAG
      • Restrictions in BareMetal networks
      • Overview
      • Images
      • Access management
      • Additional server settings
      • Management console
        • API authentication
            • Overview
              • Overview
              • GetImage
              • ListImages
              • ResolveImages
      • Monitoring metrics
    • Quotas and limits
  • Pricing policy
  • Release notes
  • FAQ

In this article:

  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • Image
  1. Concepts
  2. Setup and management
  3. API reference
  4. API v2
  5. REST
  6. Image
  7. ResolveImages

BareMetal API, REST: Image.ResolveImages

Written by
Yandex Cloud
Updated at September 1, 2026
View in Markdown
  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • Image

Resolves the latest published Image for each available family within the specified folder.
Returns one Image per family - the most recently published one.

HTTP requestHTTP request

GET https://baremetal.api.cloud.yandex.net/baremetal/v2/folders/{folderId}/images:resolveImages

Path parametersPath parameters

Field

Description

folderId

string

Required field. ID of the parent folder. "baremetal-standard-images" folder contains general images and used by default

To get the folder ID, use a yandex.cloud.resourcemanager.v1.FolderService.List request.

Query parametersQuery parameters

Field

Description

pageSize

string (int64)

The maximum number of results per page to return. If the number of available
results is greater than page_size,
the service returns a ResolveImagesResponse.nextPageToken
that can be used to get the next page of results in subsequent resolve requests.
Default value is 20.

The maximum value is 1000.

pageToken

string

Page token. To get the next page of results, set page_token to the
ResolveImagesResponse.nextPageToken returned by a previous resolve request.

orderBy

string

Sorting order for the listing. Follows the AIP-132 order_by format:
"field [asc|desc]", e.g. "family desc".

Supported fields: family, imageId, createTime.
Default order: family asc.

ResponseResponse

HTTP Code: 200 - OK

{
  "images": [
    {
      "imageId": "string",
      "folderId": "string",
      "name": "string",
      "family": "string",
      "state": "string",
      "publishTime": "string",
      "cloudId": "string"
    }
  ],
  "nextPageToken": "string"
}

Field

Description

images[]

Image

List of resolved Image resources - one per family, the most recently published.

nextPageToken

string

Token for getting the next page of the list. If the number of results is greater than
ResolveImagesRequest.pageSize, use next_page_token as the value
for the ResolveImagesRequest.pageToken parameter in the next resolve request.
Each subsequent page will have its own next_page_token to continue paging through the results.

ImageImage

An Image resource.

Field

Description

imageId

string

ID of the image.

folderId

string

ID of the folder that the image belongs to.

name

string

Name of the image

family

string

Family of the image

state

enum (Status)

State of the image.

  • IMPORTING: Image is being imported.
  • IMPORTED: Image has been imported and is awaiting moderation.
  • PUBLISHED: Image is published and available to users.
  • DISABLED: Image is disabled for new installations but preserved for existing servers.
  • ERROR: Image encountered an error during import.

publishTime

string (date-time)

Timestamp when the image was published.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

cloudId

string

ID of the cloud that the image belongs to.

Was the article helpful?

Previous
ListImages
Next
Overview
© 2026 Direct Cursus Technology L.L.C.